External blkid library not found

Martin Jansa martin.jansa at gmail.com
Tue Feb 2 11:07:52 CET 2010

On Fri, Jan 22, 2010 at 12:59:36PM -0500, Vaudano Luca wrote:
> I saw the difference between the bitbake command and the command line command.
> From bitbake
> "arm-oe-linux-gnueabi-pkg-config...
> /mnt/shr/shr-testing/tmp/staging/i686-linux/usr/bin/pkg-config"
> from the command line (after the setup-env)
> "checking for arm-oe-linux-gnueabi-pkg-config... /usr/bin/pkg-config",
> which is the correct one?
> and what can I do?

The 2nd probably returns paths to your buildhost instead to staging
where are the right versions.

Yesterday I had problem while building angstrom that hal was depending
on blkid >= 2.13 which is not provided with ext2fsprogs but only as part
of util-linux-ng. So double check config.log, maybe it's only
complaining about wrong version (with unclear error message).


uin:136542059                jid:Martin.Jansa at gmail.com
Jansa Martin                 sip:jamasip at voip.wengo.fr 

More information about the community mailing list